# ARXLattice.Access (ARX API Documentation)

org.deidentifier.arx

## Class ARXLattice.Access

- java.lang.Object
- - org.deidentifier.arx.ARXLattice.Access

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    ARXLattice

      public class ARXLattice.Access
      extends java.lang.Object
      implements java.io.Serializable

  The internal accessor class.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ARXLattice.Access(ARXLattice lattice)` Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.Integer>` | `getAttributeMap()` Accessor method
    `void` | `setBottom(ARXLattice.ARXNode bottom)` Accessor method
    `void` | `setLevels(ARXLattice.ARXNode[][] levels)` Accessor method
    `void` | `setMonotonicity(ARXConfiguration config)` Accessor method
    `void` | `setOptimum(ARXLattice.ARXNode node)` Accessor method
    `void` | `setQualityModel(Metric<?> model)` Accessor method
    `void` | `setSize(int size)` Accessor method
    `void` | `setSolutionSpace(org.deidentifier.arx.framework.lattice.SolutionSpace solutions)` Updates the solution space
    `void` | `setTop(ARXLattice.ARXNode top)` Accessor method
    `void` | `setUncertainty(boolean uncertainty)` Accessor method

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ARXLattice.Access

          public ARXLattice.Access(ARXLattice lattice)

      Constructor
      Parameters:
        `lattice` -

  - ### Method Detail

    - #### getAttributeMap

          public java.util.Map<java.lang.String,java.lang.Integer> getAttributeMap()

      Accessor method
      Returns:

    - #### setBottom

          public void setBottom(ARXLattice.ARXNode bottom)

      Accessor method
      Parameters:
        `bottom` -

    - #### setLevels

          public void setLevels(ARXLattice.ARXNode[][] levels)

      Accessor method
      Parameters:
        `levels` -

    - #### setQualityModel

          public void setQualityModel(Metric<?> model)

      Accessor method
      Parameters:
        `model` -

    - #### setMonotonicity

          public void setMonotonicity(ARXConfiguration config)

      Accessor method
      Parameters:
        `config` -

    - #### setOptimum

          public void setOptimum(ARXLattice.ARXNode node)

      Accessor method
      Parameters:
        `node` -

    - #### setSize

          public void setSize(int size)

      Accessor method
      Parameters:
        `size` -

    - #### setSolutionSpace

          public void setSolutionSpace(org.deidentifier.arx.framework.lattice.SolutionSpace solutions)

      Updates the solution space
      Parameters:
        `solutions` -

    - #### setTop

          public void setTop(ARXLattice.ARXNode top)

      Accessor method
      Parameters:
        `top` -

    - #### setUncertainty

          public void setUncertainty(boolean uncertainty)

      Accessor method
      Parameters:
        `uncertainty` -